SymetryML Documentation
Tasks

Stop task

Terminate the Task's running process, if any, but leave its registration in place — it can be started again later with [Start task](/docs/api-reference/tasks/tasks-taskid-start-get). If the process isn't currently tracked as running (never started, or the server restarted since), this is a silent no-op.

GET
/{user}/tasks/{taskid}/stop

Terminate the Task's running process, if any, but leave its registration in place — it can be started again later with Start task. If the process isn't currently tracked as running (never started, or the server restarted since), this is a silent no-op.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

taskid*string

Task name (used as its identifier)

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/tasks/kstream_task_0/stop"
{  "statusCode": 200,  "statusString": "OK",  "values": {}}
{  "statusCode": 400,  "statusString": "Customer [c1] has no Task [nosuchtask]",  "values": {}}